/*

this library can be loaded by c3xuladmin or any of its extensions


loadExtensions () : PUBLIC loads all c3xuladmin enabled extensions stuff,
			run by xuladmin itself at start

probeExtension (): PUBLIC check whether extension is already on the list,
		if its not, it adds the extension to the list. It is supposed
		to be run at extension's overlay, by the extension to xuladmin.
		
		




*/

const c3xuladmin_string = "cyclone3XULAdmin";

const extensions = "extensions"

var register = 

{


	testFunction: function() 
	{
		alert("[register_addon.js:register] {testFunction} This is a test function.");
	},


	setBranch: function(branch_name) 
	{
		var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);

		var branch = prefs.getBranch(branch_name);

		return branch;
	},

	getUniqueChildList: function (branch) 
	{
		// replace with branch
		branch = this.setBranch(branch);

		var extension_list = branch.getChildList("",{});

		var unique_list = new Array();
		
		for (var i=0; i< extension_list.length; i++) 
		{
			
			unique_list[extension_list[i].split('.', 1)] = 1;
		}

		return unique_list;
		
	},
		
	getExtensionsList: function () 
	{	
		var mylist = this.getUniqueChildList('extensions.'+ c3xuladmin_string +'.' + extensions + '.');

		var result = new Array();

		for (var i in mylist) 
		{
			result.push(i);
		}
		
		return result;

	},
	
	checkExtension: function(extension_name) 
	{	
		try 
		{
			var branch = this.setBranch('extensions.'+ c3xuladmin_string +'.' + extensions + '.' + extension_name + '.');
			var enabled = branch.getBoolPref("enabled");
		}catch(e)
		{
			return false;
		}

		if (branch.getBoolPref("enabled")) 
		{
			return true;
		} else 
		{
			return false;	
		}

		return false;		
	},

	probeExtension: function(extension_name) 
	{	
		if (this.checkExtension(extension_name)) 
		{
			return true;
		} else 
		{
			this.addExtension(extension_name);	
		}		
	},

	addExtension: function(extension_name) {
		//alert("adding " + extension_name);
		try {
			var branch = this.setBranch('extensions.'+ c3xuladmin_string +'.' + extensions + '.' + extension_name + '.');
			branch.setBoolPref("enabled", true);
		}catch(e){alert('[register_addon.js:register] {addExtension}' + e)}
	},

	loadExtensions: function () 
	{	
		var extension_list = this.getExtensionsList();

		for (var i=0; i< extension_list.length; i++) 
		{	
			if (this.checkExtension(extension_list[i])) 
			{
			var chrome = extension_list[i];
			
			// document.getElementById("loginbox").className = 'login_' + chrome;			

			try {
			var stylesheet=document.createProcessingInstruction(
					'xml-stylesheet',
					'href="chrome://' + chrome + '/skin/_init.css" type="text/css"')
				document.insertBefore(stylesheet, document.documentElement)
				
				var stylesheet=document.createProcessingInstruction(
					'xml-stylesheet',
					'href="chrome://' + chrome + '/content/_init.css" type="text/css"')
				document.insertBefore(stylesheet, document.documentElement)
			}catch(e){alert('[register_addon.js:register] {loadExtensions} '+e)}

			}

		}

	},

	getExtensionIdFromName: function (var_name)
	{
		try{
		extension_manager = Components.classes["@mozilla.org/extensions/manager;1"].getService(Components.interfaces.nsIExtensionManager);
		}catch(e){
			return;
		}

		var mylist = extension_manager.getItemList(2, {}, {});
	
		for (var i = 0; i <= mylist.length; i++) 
		{
			if (mylist[i].name == var_name) 
			// the array has much greater capabilities - more information can be found this way
			{
				return mylist[i].id;
			}
		}
	},

	checkChromeURL: function (url_string)
	{
		
		try {
			var my_request = new XMLHttpRequest();
			my_request.open("GET", url_string, false);
			my_request.send(null);

			var result = true;
		}catch(e){
			var result = false;
		}
		return result;
	}
}
