var c3xuladmin_Toolbox =
{
	datetime : {

		//args:	[timestamp] - unix timestamp
		//			format - string with specific gateways for conversion values - i.e. "[D], [M] [d] [Y] [G]:[i]:[s] [O]"
		decodeTimestamp : function (timestamp, format)
		{
			timestamp=timestamp*1000;
			
			if(!format){
				format=new String("[D], [M] [d] [Y] [G]:[i]:[s] [O]")
			}

			var theDate = new Date(timestamp);
	
			var dateObject=
			{
				timestamp : timestamp/1000,
	
				formattedString : format,
	
				//Numeric representation of the day of the week	0 (for Sunday) through 6 (for Saturday)
				w : theDate.getDay(),
				//ISO-8601 numeric representation of the day of the week 1 (for Monday) through 7 (for Sunday)
				N : (theDate.getDay()==0) ? 7 : theDate.getDay(),
				//A full textual representation of the day of the week - Sunday through Saturday
				l : cs_Core.locale.stringBundle.GetStringFromName("date.day." + theDate.getDay()),
				//A textual representation of a day, three letters -	Mon through Sun
				D : cs_Core.locale.stringBundle.GetStringFromName("date.day.short." + theDate.getDay()),
				//A full lowercase textual representation of the day of the week - sunday through saturday
				L : cs_Core.locale.stringBundle.GetStringFromName("date.day.short." + theDate.getDay()).toLowerString,
	
				//Day of the month without leading zeros 1 to 31
				j : theDate.getDate(),
				//Day of the month, 2 digits with leading zeros 01 to 31
				d : cs_Toolbox.tools.zeroFill(theDate.getDate(), 2),
	
				//Numeric representation of a month, without leading zeros 1 through 12
				n : theDate.getMonth()+1,
				//Numeric representation of a month, with leading zeros 01 through 12
				m : cs_Toolbox.tools.zeroFill(theDate.getMonth()+1, 2),
				//A full textual representation of a month, such as January or March	January through December
				F : cs_Core.locale.stringBundle.GetStringFromName("date.month." + theDate.getMonth()),
				//A short textual representation of a month, three letters	Jan through Dec
				M : cs_Core.locale.stringBundle.GetStringFromName("date.month.short." + theDate.getMonth()),
	
				//A full numeric representation of a year, 4 digits
				Y : theDate.getFullYear(),
				//A two digit representation of a year
				y : theDate.getFullYear().toString().replace(/^../, ""),
	
				//24-hour format of an hour without leading zeros 0 through 23
				G : theDate.getHours(),
				//24-hour format of an hour with leading zeros 00 through 23
				H : cs_Toolbox.tools.zeroFill(theDate.getHours(), 2),
				//12-hour format of an hour without leading zeros	1 through 12
				//to be calculated
				g : null,
				//12-hour format of an hour with leading zeros 01 through 12
				//to be calculated
				h : null,
				//Minutes with leading zeros 00 to 59
				i : cs_Toolbox.tools.zeroFill(theDate.getMinutes(), 2),
				//Seconds, with leading zeros 00 through 59
				s : cs_Toolbox.tools.zeroFill(theDate.getSeconds(), 2),
	
				A : "AM",
				a : "am",
	
				//gettime returns milliseconds, but IS U really in milliseconds? shouldnt it be in seconds?
				//this makes milliseconds go seconds :) Math.floor(xxx.getTime()/1000
				U : theDate.getTime(),
	
				//timezone offset in hours
				O : (theDate.getTimezoneOffset()/60)*100,
				//timezone offset in seconds
				Z : theDate.getTimezoneOffset()*60
			};
	
			//((minutes < 10) ? ":0" : ":") + minutes
	
			if(dateObject.G==0)
			{
				dateObject.g=12;
				dateObject.h=12;
			}
			else
			{
				if((dateObject.G>=12))
				{
					if((dateObject.G>12))
					{
						dateObject.g=dateObject.G-12;
						dateObject.h=cs_Toolbox.tools.zeroFill(dateObject.G-12, 2);
					}
					else
					{
						dateObject.g=dateObject.G;
						dateObject.h=dateObject.G;
					}
					dateObject.A="PM";
					dateObject.a="pm";
				}
				else
				{
					dateObject.g=dateObject.G;
					dateObject.h=cs_Toolbox.tools.zeroFill(dateObject.G, 2);
				}
			}
	
			//javascript returns negative values in opposition to PHP f.e., so let's negate the value
			dateObject.O=-dateObject.O;
			dateObject.O=cs_Toolbox.tools.zeroFill(dateObject.O, 4);
			if(dateObject.O>=0)
			{ dateObject.O="+" + dateObject.O; }
	
			dateObject.Z=-dateObject.Z;
			dateObject.Z=cs_Toolbox.tools.zeroFill(dateObject.Z, 4);
			if(dateObject.Z>=0)
			{ dateObject.Z="+" + dateObject.Z; }
	
			// zerofilling day
			dateObject.d=cs_Toolbox.tools.zeroFill(dateObject.d, 2);
			// zerofilling month
			dateObject.m=cs_Toolbox.tools.zeroFill(dateObject.m, 2);
	
			// zerofilling minutes
			dateObject.i=cs_Toolbox.tools.zeroFill(dateObject.i, 2);
			// zerofilling seconds
			dateObject.s=cs_Toolbox.tools.zeroFill(dateObject.s, 2);
	
			//The day of the year (starting from 0) 0 through 365
			dateObject.z=cs_Toolbox.datetime.tools.getYearDay(dateObject.Y, dateObject.n, dateObject.j);
			//ISO-8601 week number of year, weeks starting on Monday Example: 42 (the 42nd week in the year)
			dateObject.W=cs_Toolbox.datetime.tools.getWeek(dateObject.Y, dateObject.n, dateObject.j);
	
			for (var i in dateObject)
			{
				var re = new RegExp("\\["+i+"\\]","g");
				dateObject.formattedString=dateObject.formattedString.replace(re, dateObject[i]);
			}
	
			return dateObject;
		},

		tools : {
			isLeapYear : function (year)
			{
				if
				(
					((year % 4 ==0) &&	(year % 100 != 0))
					|| (year % 400 == 0)
				)
				{ return 1; }
				else
				{ return 0;}
			},
			
			getYearDay : function (year, month, day)
			{
				var d,e;
				
				d = Math.floor((month+10)/13);
				e = day + Math.floor((611 * (month + 2))/20) - 2 * d - 91;
				return (e + this.isLeapYear(year) * d);
			},
			
			getWeek : function(year, month, day)
			{
				// use real month and day numbers - gregorian calendar
				var a = Math.floor((14-(month))/12);
				var y = year+4800-a;
				var m = (month)+(12*a)-3;
				var jd = day + Math.floor(((153*m)+2)/5) + 
							(365*y) + Math.floor(y/4) - Math.floor(y/100) + 
							Math.floor(y/400) - 32045;
			    
				var d4 = (jd+31741-(jd%7))%146097%36524%1461;
				var L = Math.floor(d4/1460);
				var d1 = ((d4-L)%365)+L;
				var NumberOfWeek = Math.floor(d1/7) + 1;
				return NumberOfWeek;        
			},
			
			getActualTimestamp : function () {
				var tmpTimestamp = false
				if(Date())
				{
					tmpTimestamp = new Date();
					tmpTimestamp = Math.round(tmpTimestamp/1000);
				}
				return tmpTimestamp
			}
		}	
	},
	
	html : {
		cleanWordMarkupNG: function(tmpHtml){
			tmpHtml = tmpHtml.replace(/<\!--\[if gte mso[\s\S]*?endif]-->/mgi, '');
			tmpHtml = tmpHtml.replace(/ class="mso[0-1a-zA-Z]*?"/mgi, '');
			tmpHtml = tmpHtml.replace(/<!--\[if !mso\]>[\s\S]*?endif\]-->/mgi, '');
			tmpHtml = tmpHtml.replace(/ style=".*?"/mgi, '');
			tmpHtml = tmpHtml.replace(/<span lang=".*?">([\s\S]*?)<\/span>/mgi, '$1');
			tmpHtml = tmpHtml.replace(/<span>([\s\S]*?)<\/span>/mgi, '$1');
			return tmpHtml;
		},
		
		cleanWordMarkup: function(tmpHtml)
		{
			/*****************************************************************
			 * Word HTML Cleaner
			 * Copyright (C) 2005 Connor McKay
			 *
			 * This program is free software; you can redistribute it and/or
			 * modify it under the terms of the GNU General Public License
			 * as published by the Free Software Foundation; either version 2
			 * of the License, or (at your option) any later version.
			 *
			 * This program is distributed in the hope that it will be useful,
			 * but WITHOUT ANY WARRANTY; without even the implied warranty of
			 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
			 * See the GNU General Public License for more details.
			*****************************************************************/

			//remplacement characters
			var rchars = [["–","—", "‘", "’", "“", "”", ' '], ["-", "-", "'", "'", '"', '"', ' ']];

			//html entities translation array
			var hents = new Array();
			hents['¡'] = '&iexcl;';
			hents['¢'] = '&cent;';
			hents['£'] = '&pound;';
			hents['¤'] = '&curren;';
			hents['¥'] = '&yen;';
			hents['¦'] = '&brvbar;';
			hents['§'] = '&sect;';
			hents['¨'] = '&uml;';
			hents['©'] = '&copy;';
			hents['ª'] = '&ordf;';
			hents['«'] = '&laquo;';
			hents['¬'] = '&not;';
			hents['­'] = '&shy;';
			hents['®'] = '&reg;';
			hents['¯'] = '&macr;';
			hents['°'] = '&deg;';
			hents['±'] = '&plusmn;';
			hents['²'] = '&sup2;';
			hents['³'] = '&sup3;';
			hents['´'] = '&acute;';
			hents['µ'] = '&micro;';
			hents['¶'] = '&para;';
			hents['·'] = '&middot;';
			hents['¸'] = '&cedil;';
			hents['¹'] = '&sup1;';
			hents['º'] = '&ordm;';
			hents['»'] = '&raquo;';
			hents['¼'] = '&frac14;';
			hents['½'] = '&frac12;';
			hents['¾'] = '&frac34;';
			hents['¿'] = '&iquest;';
			hents['À'] = '&Agrave;';
			hents['Á'] = '&Aacute;';
			hents['Â'] = '&Acirc;';
			hents['Ã'] = '&Atilde;';
			hents['Ä'] = '&Auml;';
			hents['Å'] = '&Aring;';
			hents['Æ'] = '&AElig;';
			hents['Ç'] = '&Ccedil;';
			hents['È'] = '&Egrave;';
			hents['É'] = '&Eacute;';
			hents['Ê'] = '&Ecirc;';
			hents['Ë'] = '&Euml;';
			hents['Ì'] = '&Igrave;';
			hents['Í'] = '&Iacute;';
			hents['Î'] = '&Icirc;';
			hents['Ï'] = '&Iuml;';
			hents['Ð'] = '&ETH;';
			hents['Ñ'] = '&Ntilde;';
			hents['Ò'] = '&Ograve;';
			hents['Ó'] = '&Oacute;';
			hents['Ô'] = '&Ocirc;';
			hents['Õ'] = '&Otilde;';
			hents['Ö'] = '&Ouml;';
			hents['×'] = '&times;';
			hents['Ø'] = '&Oslash;';
			hents['Ù'] = '&Ugrave;';
			hents['Ú'] = '&Uacute;';
			hents['Û'] = '&Ucirc;';
			hents['Ü'] = '&Uuml;';
			hents['Ý'] = '&Yacute;';
			hents['Þ'] = '&THORN;';
			hents['ß'] = '&szlig;';
			hents['à'] = '&agrave;';
			hents['á'] = '&aacute;';
			hents['â'] = '&acirc;';
			hents['ã'] = '&atilde;';
			hents['ä'] = '&auml;';
			hents['å'] = '&aring;';
			hents['æ'] = '&aelig;';
			hents['ç'] = '&ccedil;';
			hents['è'] = '&egrave;';
			hents['é'] = '&eacute;';
			hents['ê'] = '&ecirc;';
			hents['ë'] = '&euml;';
			hents['ì'] = '&igrave;';
			hents['í'] = '&iacute;';
			hents['î'] = '&icirc;';
			hents['ï'] = '&iuml;';
			hents['ð'] = '&eth;';
			hents['ñ'] = '&ntilde;';
			hents['ò'] = '&ograve;';
			hents['ó'] = '&oacute;';
			hents['ô'] = '&ocirc;';
			hents['õ'] = '&otilde;';
			hents['ö'] = '&ouml;';
			hents['÷'] = '&divide;';
			hents['ø'] = '&oslash;';
			hents['ù'] = '&ugrave;';
			hents['ú'] = '&uacute;';
			hents['û'] = '&ucirc;';
			hents['ü'] = '&uuml;';
			hents['ý'] = '&yacute;';
			hents['þ'] = '&thorn;';
			hents['ÿ'] = '&yuml;';
			hents['"'] = '&quot;';
			hents['<'] = '&lt;';
			hents['>'] = '&gt;';

			//allowed tags
			var tags = [
				'a','abbr','acronym', 'address',
				'b', 'big', 'blockquote','br','div',
				'caption', 'center', 'cite', 'col', 'colgroup',
				'ul','li','ol',
				'dd', 'dfn', 'dl', 'dt',
				'em',
				'h2', 'h3', 'h4', 'h5', 'h6', 'h7', 'h8', 'hr',
				'i', 'img', 'ins',
				'link',
				'menu',
				'fieldset',
				'optgroup',
				'p', 'param', 'pre',
				'q',
				's', 'samp', 'small', 'strike', 'strong', 'sub', 'sup',
				'table', 'tbody', 'td', 'tfoot', 'th', 'thead', 'tr', 'tt',
				'u',
				'var'
			];

			//allowed attributes for all tags
			var aaattr = new Array();
			//aaattr['class']=true;
			aaattr['dir']=true;

			//allowed atributes for tags
			var aattr = new Array();
			aattr['a'] = ['href', 'name', 'id', 'class'];
			aattr['div'] = ['id', 'class'];
			aattr['table'] = ['border'];
			aattr['th'] = ['colspan', 'rowspan'];
			aattr['td'] = ['colspan', 'rowspan'];
			aattr['img'] = ['src', 'width', 'height', 'alt', 'id', 'class', 'crop'];

			//tags who's content should be deleted
			var dctags = ['head'];

			//Quote characters
			var quotes = ["'", '"'];

			//tags which are displayed as a block
			var btags = ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'h7', 'h8', 'ul', 'ol', 'table', 'tr', 'th', 'td', 'div'];

			//d = data, o = out, c = character, n = next character
			//in and out variables
			var d = tmpHtml;
			var o = '';

			function cleanHTML ()
			{
				var i;
				//Replace all whitespace characters with spaces
				d = d.replace(/(\s|&nbsp;)+/g, ' ');
				//replace weird word characters
				for (var i = 0; i < rchars[0].length; i++)
					d = d.replace(new RegExp(rchars[0][i], 'g'), rchars[1][i]);

				//initialize flags
				//what the next character is expected to be
				var expected = '';
				//tag text
				var tag = '';
				//tag name
				var tagname = '';
				//what type of tag it is, start, end, or single
				var tagtype = 'start';
				//attribute text
				var attribute = '';
				//attribute name
				var attributen = '';
				//if the attribute has had an equals sign
				var attributeequals = false;
				//if attribute has quotes, and what they are
				var attributequotes = '';

				var c = '';
				var n = '';

				/*Parser format:
				The parser is divided into three parts:
				The first section is for when the current type of character is known
				The second is for when it is an unknown character in a tag
				The third is for anything outside of a tag
				*/

				//editing pass
				for (var i = 0; i < d.length; i++)
				{
					//current character
					c = getc(i);
					//next character
					n = getc(i+1);

					//***Section for when the current character is known

					//if the tagname is expected
					if (expected == 'tagname')
					{
						tagname += c;
						//lookahead for end of tag name
						if (n == ' ' || n == '>' || n == '/')
						{
							tag += tagname;
							expected = 'tag';
						}
					}
					//if an attribute name is expected
					else if (expected == 'attributen')
					{
						attributen += c;
						//lookahead for end of attribute name
						if (n == ' ' || n == '>' || n == '/' || n == '=')
						{
							attribute += attributen;
							//check to see if its an attribute without an assigned value
							//determines whether there is anything but spaces between the attribute name and the next equals sign
							if (endOfAttr(i))
							{
								//if the attribute is allowed, add it to the output
								if ((aaattr[attributen]) || (ae(attributen, aattr[tagname])))
									tag += attribute;

								attribute = '';
								attributen = '';
								attributeequals = false;
								attributequotes = '';
							}
							expected = 'tag';
						}
					}
					//if an attribute value is expected
					else if (expected == 'attributev')
					{
						attribute += c;

						//lookahead for end of value
						if ((c == attributequotes) || ((n == ' ' || n == '/' || n == '>') && !attributequotes))
						{
							//if the attribute is allowed, add it to the output
							if ((aaattr[attributen]) || (ae(attributen, aattr[tagname])))
								tag += attribute;

							attribute = '';
							attributen = '';
							attributeequals = false;
							attributequotes = '';

							expected = 'tag';
						}
					}

					//***Section for when the character is unknown but it is inside of a tag

					else if (expected == 'tag')
					{
						//if its a space
						if (c == ' ')
							tag += c;
						//if its a slash after the tagname, signalling a single tag.
						else if (c == '/' && tagname)
						{
							tag += c;
							tagtype = 'single';
						}
						//if its a slash before the tagname, signalling its an end tag
						else if (c == '/')
						{
							tag += c;
							tagtype = 'end';
						}
						//if its the end of a tag
						else if (c == '>')
						{
							tag += c;
							//if the tag is allowed, add it to the output
							if (ae(tagname, tags))
								o += tag;

							//if its a start tag
							if (tagtype == 'start')
							{
								//if the tag is supposed to have its contents deleted
								if (ae(tagname, dctags))
								{
									//if there is an end tag, skip to it in order to delete the tags contents
									if (-1 != (endpos = d.indexOf('</' + tagname, i)))
									{
										//have to make it one less because i gets incremented at the end of the loop
										i = endpos-1;
									}
									//if there isn't an end tag, then it was probably a non-compliant single tag
								}
							}

							tag = '';
							tagname = '';
							tagtype = 'start';
							expected = '';
						}
						//if its an attribute name
						else if (tagname && !attributen)
						{
							attributen += c;
							expected = 'attributen';
							//lookahead for end of attribute name, in case its a one character attribute name
							if (n == ' ' || n == '>' || n == '/' || n == '=')
							{
								attribute += attributen;
								//check to see if its an attribute without an assigned value
								//determines whether there is anything but spaces between the attribute name and the next equals sign
								if (endOfAttr(i))
								{
									//if the attribute is allowed, add it to the output
									if (ae(attributen, attributen))
										tag += attribute;

									attribute = '';
									attributen = '';
									attributeequals = false;
									attributequotes = '';
								}
								expected = 'tag';
							}
						}
						//if its a start quote for an attribute value
						else if (ae(c, quotes) && attributeequals)
						{
							attribute += c;
							attributequotes = c;
							expected = 'attributev';
						}
						//if its an attribute value
						else if (attributeequals)
						{
							attribute += c;
							expected = 'attributev';

							//lookahead for end of value, in case its only one character
							if ((c == attributequotes) || ((n == ' ' || n == '/' || n == '>') && !attributequotes))
							{
								//if the attribute is allowed, add it to the output
								if (ae(attributen, attributen))
									tag += attribute;

								attribute = '';
								attributen = '';
								attributeequals = false;
								attributequotes = '';

								expected = 'tag';
							}
						}
						//if its an attribute equals
						else if (c == '=' && attributen)
						{
							attribute += c;
							attributeequals = true;
						}
						//if its the tagname
						else
						{
							tagname += c;
							expected = 'tagname';

							//lookahead for end of tag name, in case its a one character tag name
							if (n == ' ' || n == '>' || n == '/')
							{
								tag += tagname;
								expected = 'tag';
							}
						}
					}
					//if nothing is expected
					else
					{
						//if its the start of a tag
						if (c == '<')
						{
							tag = c;
							expected = 'tag';
						}
						//anything else
						else
							o += htmlentities(c);
					}
				}

				//beautifying regexs
				//remove duplicate spaces
				o = o.replace(/\s+/g, ' ');
				//remove unneeded spaces in tags
				o = o.replace(/\s>/g, '>');
				//remove empty tags
				//this loops until there is no change from running the regex
				var oo = o;
				while ((o = o.replace(/\s?<(.*)>\s*<\/\1>/g, '')) != oo)
					oo = o;
				//make block tags regex string
				var btagss = btags.join('|');
				//add newlines after block tags
				o = o.replace(new RegExp("\\s?</(" + btagss+ ")>", 'gi'), "</$1>\n");
				//remove spaces before block tags
				o = o.replace(new RegExp("\\s<(" + btagss + ")", 'gi'), "<$1");

				//fix lists
				o = o.replace(/((<p.*>\s*(&middot;|&#9642;) .*<\/p.*>\n)+)/gi, "<ul>\n$1</ul>\n");//make ul for dot lists
				o = o.replace(/((<p.*>\s*\d+\S*\. .*<\/p.*>\n)+)/gi, "<ol>\n$1</ol>\n");//make ol for numerical lists
				o = o.replace(/((<p.*>\s*[a-z]+\S*\. .*<\/p.*>\n)+)/gi, "<ol style=\"list-style-type: lower-latin;\">\n$1</ol>\n");//make ol for latin lists
				o = o.replace(/<p(.*)>\s*(&middot;|&#9642;|\d+(\S*)\.|[a-z]+\S*\.) (.*)<\/p(.*)>\n/gi, "\t<li$1>$3$4</li$5>\n");//make li

				//extend outer lists around the nesting lists
				o = o.replace(/<\/(ul|ol|ol style="list-style-type: lower-latin;")>\n(<(?:ul|ol|ol style="list-style-type: lower-latin;")>[\s\S]*<\/(?:ul|ol|ol style="list-style-type: lower-latin;")>)\n(?!<(ul|ol|ol style="list-style-type: lower-latin;")>)/g, "</$1>\n$2\n<$1>\n</$1>\n");

				//nesting lists
				o = o.replace(/<\/li>\s+<\/ol>\s+<ul>([\s\S]*?)<\/ul>\s+<ol>/g, "\n<ul>$1</ul></li>");//ul in ol
				o = o.replace(/<\/li>\s+<\/ol>\s+<ol style="list-style-type: lower-latin;">([\s\S]*?)<\/ol>\s+<ol>/g, "\n<ol style=\"list-style-type: lower-latin;\">$1</ol></li>");//latin in ol
				o = o.replace(/<\/li>\s+<\/ul>\s+<ol>([\s\S]*?)<\/ol>\s+<ul>/g, "\n<ol>$1</ol></li>");//ol in ul
				o = o.replace(/<\/li>\s+<\/ul>\s+<ol style="list-style-type: lower-latin;">([\s\S]*?)<\/ol>\s+<ul>/g, "\n<ol style=\"list-style-type: lower-latin;\">$1</ol></li>");//latin in ul
				o = o.replace(/<\/li>\s+<\/ol>\s+<ol style="list-style-type: lower-latin;">([\s\S]*?)<\/ol>\s+<ol>/g, "\n<ol style=\"list-style-type: lower-latin;\">$1</ol></li>");//ul in latin
				o = o.replace(/<\/li>\s+<\/ul>\s+<ol style="list-style-type: lower-latin;">([\s\S]*?)<\/ol>\s+<ul>/g, "\n<ol style=\"list-style-type: lower-latin;\">$1</ol></li>");//ul in latin
				//remove empty tags. this is needed a second time to delete empty lists that were created to fix nesting, but weren't needed
				o = o.replace(/\s?<(.*)>\s*<\/\1>/g, '');

				return o;
			}

			//array equals
			//loops through all the elements of an array to see if any of them equal the test.
			function ae (needle, haystack)
			{
				if (typeof(haystack) == 'object')
					for (var i = 0; i < haystack.length; i++)
						if (needle == haystack[i])
							return true;

				return false;
			}

			//get character
			//return specified character from d
			function getc (i)
			{
				return d.charAt(i);
			}

			//end of attr
			//determines if their is anything but spaces between the current character, and the next equals sign
			function endOfAttr (i)
			{
				var between = d.substring(i+1, d.indexOf('=', i+1));
				if (between.replace(/\s+/g, ''))
					return true;
				else
					return false;
			}

			function htmlentities (character)
			{
				if (hents[character])
					return hents[character];
				else
					return character;
			}
			
			return cleanHTML()
		}
	},
	
	tools : {
	
		zeroFill : function (nr, digits)
		{
			var negativeSign="";
			if(nr<0)
			{
				nr=Math.abs(nr);
				negativeSign="-";
			}
			nr = nr.toString();
			while (nr.length < digits) 
			{ nr = "0" + nr; }
			return negativeSign+nr;
		}
		
	}
	
}
